## org.hibernate.service
Class UnknownServiceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.service.UnknownServiceException

All Implemented Interfaces:
  Serializable

    public class UnknownServiceException

extends HibernateException

Indicates that an unkown service was requested from the registry.

See Also:
  Serialized Form

Field Summary
`Class` `serviceRole`

Constructor Summary
`UnknownServiceException(Class serviceRole)`

Method Summary
`Class` `getServiceRole()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serviceRole

    public final Class serviceRole

Constructor Detail

### UnknownServiceException

    public UnknownServiceException(Class serviceRole)

Method Detail

### getServiceRole

    public Class getServiceRole()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.